device_type: ssh-test
# NFS fails on panda and arndale.

job_name: beaglebone-black standard NFS health check
timeouts:
  job:
    minutes: 10
  action:
    minutes: 5
  connection:
    minutes: 2
priority: medium
visibility: public

metadata:
  source: https://git.linaro.org/lava/lava-lab.git
  path: shared/health-checks/beaglebone-black-health.yaml
  build-readme: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/jessie/armhf/4/debian-armmp-armhf-readme.html
  build-console: https://ci.linaro.org/view/lava-ci/job/lava-debian-armmp-armhf/1/console
  build-script: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/jessie/armhf/4/armmp-nfs.sh

actions:
- deploy:
    timeout:
      minutes: 4
    to: ssh
    os: debian


- boot:
    method: ssh
    connection: ssh
    auto_login:
      login_prompt: 'jctan93nuc login:'
      username: jctan93
      password_prompt: 'Password: '
      password: jctan93
    prompts:
    - 'jctan93@jctan93nuc:'
    timeout:
      minutes: 2

- test:
    timeout:
      minutes: 4
    definitions:
    - repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: smoke-test
          description: "smoke-test"
          os:
          - debian
          scope:
          - functional
        run:
          steps:
          - lava-test-case test-ls-command --shell ls /usr/bin/
      from: inline
      name: smoke-test
      path: smoke-test.yaml
